Name:		prey
Version:	0.5.3
Release:	3%{?dist}
Summary:	Open-source anti-theft solution
BuildArch:	noarch
License:	GPLv3
URL:		http://preyproject.com/
Source0:	https://preyproject.com/releases/%{version}/%{name}-%{version}-linux.zip
source1:	%{name}.cron
# Fedora-specific, as Fedora wants configs in /etc/sysconfig
Patch0:		%{name}.confinsysconf.patch
# Fedora-specific, although mail to upstream about this is sent
Patch1:		%{name}.checkhotspot.patch

Requires:	curl, scrot, xawtv, perl-IO-Socket-SSL, perl-Net-SSLeay

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Debuginfo disabled because it's only a few shell scripts
%define debug_package %{nil}


%description
Prey lets you keep track of your laptop, phone and tablet
whenever stolen or missing -- easily and all in one place.
It's lightweight, open source software that gives you full 
and remote control, 24/7.

%prep
cp -ap %SOURCE1 .
%setup -T -b 0 -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
# No build needed (it are a few bash and python scripts)


%install
mkdir -p %{buildroot}%{_sysconfdir}/cron.d
cp -ap %{_builddir}/%{name}.cron %{buildroot}/etc/cron.d/%{name}
mkdir -p %{buildroot}%{_libexecdir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/%{name}
cp -apr %{_builddir}/%{buildsubdir}/* %{buildroot}%{_libexecdir}/%{name}
rm %{buildroot}%{_libexecdir}/%{name}/LICENSE
rm %{buildroot}%{_libexecdir}/%{name}/README

chmod --recursive 755 %{buildroot}%{_libexecdir}/%{name}/modules
chmod 644 `find %{buildroot}%{_libexecdir}/%{name}/modules -name version`

# Config files to sysconfig
mv %{buildroot}%{_libexecdir}/%{name}/config %{buildroot}%{_sysconfdir}/sysconfig/%{name}/%{name}.conf
mv %{buildroot}%{_libexecdir}/%{name}/modules/system/config %{buildroot}%{_sysconfdir}/sysconfig/%{name}/system.conf
mv %{buildroot}%{_libexecdir}/%{name}/modules/secure/config %{buildroot}%{_sysconfdir}/sysconfig/%{name}/secure.conf
mv %{buildroot}%{_libexecdir}/%{name}/modules/alarm/config %{buildroot}%{_sysconfdir}/sysconfig/%{name}/alarm.conf
mv %{buildroot}%{_libexecdir}/%{name}/modules/lock/config %{buildroot}%{_sysconfdir}/sysconfig/%{name}/lock.conf
mv %{buildroot}%{_libexecdir}/%{name}/modules/network/config %{buildroot}%{_sysconfdir}/sysconfig/%{name}/network.conf
mv %{buildroot}%{_libexecdir}/%{name}/modules/webcam/config %{buildroot}%{_sysconfdir}/sysconfig/%{name}/webcam.conf
mv %{buildroot}%{_libexecdir}/%{name}/modules/alert/config %{buildroot}%{_sysconfdir}/sysconfig/%{name}/alert.conf
mv %{buildroot}%{_libexecdir}/%{name}/modules/session/config %{buildroot}%{_sysconfdir}/sysconfig/%{name}/session.conf


%files
%config(noreplace) %attr(644, -, -) %{_sysconfdir}/cron.d/%{name}
%dir %config(noreplace) %attr(755, -, -) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %attr(644, -, -) %{_sysconfdir}/sysconfig/%{name}/*

%doc LICENSE README

%dir %{_libexecdir}/%{name}
%attr(644, -, -) %{_libexecdir}/%{name}/config.default
%attr(755, -, -) %{_libexecdir}/%{name}/prey.sh
%attr(644, -, -) %{_libexecdir}/%{name}/version

%dir %{_libexecdir}/%{name}/platform
%dir %{_libexecdir}/%{name}/platform/linux
%attr(755, -, -) %{_libexecdir}/%{name}/platform/linux/functions
%attr(644, -, -) %{_libexecdir}/%{name}/platform/linux/prey-config.glade
%attr(755, -, -) %{_libexecdir}/%{name}/platform/linux/prey-config.py*
%attr(755, -, -) %{_libexecdir}/%{name}/platform/linux/settings
%dir %{_libexecdir}/%{name}/platform/linux/bin
%attr(755, -, -) %{_libexecdir}/%{name}/platform/linux/bin/sendEmail

%{_libexecdir}/%{name}/modules

%attr(755, root, root) %{_libexecdir}/%{name}/core
%attr(755, root, root) %{_libexecdir}/%{name}/lang
%attr(755, root, root) %{_libexecdir}/%{name}/pixmaps

%changelog
* Thu Jul 26 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.5.3-3
- Fixing FHS comments (RHBZ#841418 comment 5)

* Mon Jul 23 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.5.3-2
- Changed the cp calls to use archiving options
- Removed defattr (unneeded)

* Wed Jul 18 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.5.3-1
- First packaging effort

